Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.util
Class ObjectRegistry

    java.lang.Object
      |
      +--org.apache.soap.util.ObjectRegistry

public class ObjectRegistry
extends java.lang.Object

The ObjectRegistry is used to do name-to-object reference lookups. If an ObjectRegistry is passed as a constructor argument, then this ObjectRegistry will be a cascading registry: when a lookup is invoked, it will first look in its own table for a name, and if it's not there, it will cascade to the parent ObjectRegistry. All registration is always local. [??]

Constructor Summary
`ObjectRegistry()`
`ObjectRegistry(ObjectRegistry parent)`

Method Summary
`java.lang.Object` | `lookup(java.lang.String name)`
`void` | `register(java.lang.String name, java.lang.Object obj)`
`void` | `unregister(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectRegistry

    public ObjectRegistry()

### ObjectRegistry

    public ObjectRegistry(ObjectRegistry parent)

Method Detail

### register

    public void register(java.lang.String name,
                         java.lang.Object obj)

### unregister

    public void unregister(java.lang.String name)

### lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.